org.jboss.jca.adapters.jdbc

## Class JDBCResourceAdapter

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JDBCResourceAdapter

- All Implemented Interfaces:
    javax.resource.spi.ResourceAdapter

      public class JDBCResourceAdapter
      extends java.lang.Object
      implements javax.resource.spi.ResourceAdapter

  ResourceAdapter implementation for JDBC
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCResourceAdapter()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)`
    `void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory, javax.resource.spi.ActivationSpec spec)`
    `boolean` | `equals(java.lang.Object other)`
    `javax.transaction.xa.XAResource[]` | `getXAResources(javax.resource.spi.ActivationSpec[] specs)`
    `int` | `hashCode()`
    `void` | `start(javax.resource.spi.BootstrapContext ctx)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCResourceAdapter

          public JDBCResourceAdapter()

      Default constructor

  - ### Method Detail

    - #### endpointActivation

          public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                         javax.resource.spi.ActivationSpec spec)
                                  throws javax.resource.ResourceException

      Specified by:
        `endpointActivation` in interface `javax.resource.spi.ResourceAdapter`
      Throws:
        `javax.resource.ResourceException`

    - #### endpointDeactivation

          public void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory endpointFactory,
                                           javax.resource.spi.ActivationSpec spec)

      Specified by:
        `endpointDeactivation` in interface `javax.resource.spi.ResourceAdapter`

    - #### start

          public void start(javax.resource.spi.BootstrapContext ctx)
                     throws javax.resource.spi.ResourceAdapterInternalException

      Specified by:
        `start` in interface `javax.resource.spi.ResourceAdapter`
      Throws:
        `javax.resource.spi.ResourceAdapterInternalException`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `javax.resource.spi.ResourceAdapter`

    - #### getXAResources

          public javax.transaction.xa.XAResource[] getXAResources(javax.resource.spi.ActivationSpec[] specs)
                                                           throws javax.resource.ResourceException

      Specified by:
        `getXAResources` in interface `javax.resource.spi.ResourceAdapter`
      Throws:
        `javax.resource.ResourceException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)